Package cx.ath.matthew.unix

# Class USInputStream

java.lang.Object
java.io.InputStream
cx.ath.matthew.unix.USInputStream

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class USInputStream extends InputStream

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`MSG_DONTWAIT`

## Constructor Summary

Constructors
Constructor
Description
`USInputStream(int sock, UnixSocket us)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`UnixSocket`
`getSocket()`
`boolean`
`isClosed()`
`boolean`
`markSupported()`
`int`
`read()`
`int`
`read(byte[] b, int off, int len)`
`void`
`setBlocking(boolean enable)`
`void`
`setSoTimeout(int timeout)`

### Methods inherited from class java.io.InputStream

`available, mark, nullInputStream, read, readAllBytes, readNBytes, readNBytes, reset, skip, skipNBytes, transferTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MSG_DONTWAIT

public static final int MSG_DONTWAIT

See Also:
  - Constant Field Values

## Constructor Details

### USInputStream

public USInputStream(int sock, UnixSocket us)

## Method Details

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Overrides:
  `close` in class `InputStream`
Throws:
  `IOException`

### markSupported

public boolean markSupported()

Overrides:
  `markSupported` in class `InputStream`

### read

public int read() throws IOException

Specified by:
  `read` in class `InputStream`
Throws:
  `IOException`

### read

public int read(byte[] b, int off, int len) throws IOException

Overrides:
  `read` in class `InputStream`
Throws:
  `IOException`

### isClosed

public boolean isClosed()

### getSocket

public UnixSocket getSocket()

### setBlocking

public void setBlocking(boolean enable)

### setSoTimeout

public void setSoTimeout(int timeout)